#include "BilateralFilterKernel.h"

int NumThreads = 64;

int DivUp(int a, int b)
{
	return (a % b != 0) ? (a/b + 1) : (a/b);
}

extern "C"
void
BilateralFilter(PixelType* dI, PixelType* dR, int w, int h, int KernelSize, float SigmaD, float SigmaR)
{
	d_BilateralFilter<<< DivUp(w*h,NumThreads),NumThreads >>>(dI,dR,w,h,KernelSize,SigmaD,SigmaR);
}
